Bug 1332860 (CVE-2016-4537, CVE-2016-4538) - CVE-2016-4537 CVE-2016-4538 php: bcpowmod accepts negative scale causing heap buffer overflow corrupting _one_ definition
Summary: CVE-2016-4537 CVE-2016-4538 php: bcpowmod accepts negative scale causing heap...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-4537, CVE-2016-4538
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1332882
Blocks: 1332879
TreeView+ depends on / blocked
 
Reported: 2016-05-04 08:49 UTC by Adam Mariš
Modified: 2019-09-29 13:48 UTC (History)
14 users (show)

Fixed In Version: php 5.5.35, php 5.6.21, php 7.0.6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-13 10:36:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2750 normal SHIPPED_LIVE Moderate: rh-php56 security, bug fix, and enhancement update 2016-11-15 16:40:02 UTC

Description Adam Mariš 2016-05-04 08:49:38 UTC
It was found that bcpowmod accepts negative scale causing heap buffer overflow, which corrupts _one_ definition.

Upstream bug:

https://bugs.php.net/bug.php?id=72093

Upstream patch:

https://git.php.net/?p=php-src.git;a=commit;h=ed52bcb3dcb2e7dbc009ef8c6579fb1276ca73c1

Comment 1 Adam Mariš 2016-05-04 09:25:41 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1332882]

Comment 2 Andrej Nemec 2016-05-06 06:50:34 UTC
As per CVE assignment:

http://seclists.org/oss-sec/2016/q2/259

Use CVE-2016-4537 for "bcpowmod accepting negative scale."

Use CVE-2016-4538 for "_one_ definition being overridden by scale adjustment."

Comment 3 Fedora Update System 2016-05-07 11:47:45 UTC
php-5.6.21-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-05-12 07:22:48 UTC
php-5.6.21-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Tomas Hoger 2016-06-13 10:36:34 UTC
Issue is triggered by a negative $scale, which is not likely to come from an untrusted source, making this hard to trigger other way than by a malicious script.

This issue is in the bcmath extension.  In Red Hat products, this extension is packaged separately in php-bcmath sub-RPM.  Systems without that package installed can not be affected by this issue.

Comment 6 errata-xmlrpc 2016-11-15 11:51:39 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS

Via RHSA-2016:2750 https://rhn.redhat.com/errata/RHSA-2016-2750.html


Note You need to log in before you can comment on or make changes to this bug.